from datetime import datetime
from pandas import DataFrame

class BacktestFilter:

    backtest_filter: DataFrame = None

    def filter(self) -> DataFrame:
        pass

    def trade_allowed(self, date: datetime) -> bool:
        date = datetime.combine(date, datetime.min.time()) # Enforcing midnight.
        filtered_dates = self.backtest_filter[self.backtest_filter['Date'] == date]
        return filtered_dates.empty or filtered_dates['Trade Allowed'].values[0]