from dataclasses import dataclass

from .option_type import OptionType

@dataclass
class OptionSpreadStrategy:
    option_type: OptionType
    number_of_contracts: int
    spread_width: int
    stop_loss_multiple: float
    trade_entry_time: str
    entry_slippage: float
    exit_slippage: float